Loading...
Searching...
No Matches

## dzasum()

double precision function dzasum | ( | integer | n,
|  | complex*16, dimension(*) | zx,
|  | integer | incx )

DZASUM

Purpose:

      !>
      !>    DZASUM takes the sum of the (|Re(.)| + |Im(.)|)'s of a complex vector and
      !>    returns a double precision result.
      !>

Parameters

  [in]

  N

      !>          N is INTEGER
      !>         number of elements in input vector(s)
      !>

  [in,out]

  ZX

      !>          ZX is COMPLEX*16 array, dimension ( 1 + ( N - 1 )*abs( INCX ) )
      !>

  [in]

  INCX

      !>          INCX is INTEGER
      !>         storage spacing between elements of ZX
      !>

Author
  Univ. of Tennessee
  Univ. of California Berkeley
  Univ. of Colorado Denver
  NAG Ltd.

Further Details:

      !>
      !>     jack dongarra, 3/11/78.
      !>     modified 3/93 to return if incx .le. 0.
      !>     modified 12/3/93, array(1) declarations changed to array(*)
      !>